optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
optoKummenberg.registers.ClassAbstracts.System Class Reference
Inheritance diagram for optoKummenberg.registers.ClassAbstracts.System:

## Public Member Functions
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Public Attributes
| name
| register_list

## Protected Member Functions
| _get_register_list (self)

## Protected Attributes
| _channel
| _is_a_system
| _board

## Static Protected Attributes
bool | _is_a_system = False

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.ClassAbstracts.System.__init__ | ( |  | self,
|  | int or None | channel = None,
|  |  | board = None )

Reimplemented in optoKummenberg.registers.InputStage.ENCInput, optoKummenberg.registers.InputStage.PreciSenInput, optoKummenberg.registers.MiscSystems.Logger, optoKummenberg.registers.MiscSystems.Status, optoKummenberg.registers.MiscSystems.BoardEEPROM, optoKummenberg.registers.MiscSystems.DeviceEEPROM, optoKummenberg.registers.MiscSystems.VectorPatternMemory, optoKummenberg.registers.MiscSystems.SnapshotManager, optoKummenberg.registers.MiscSystems.ADCcontrol, optoKummenberg.registers.MiscSystems.DACcontrol, optoKummenberg.registers.SignalFlowManager.SignalFlowManager, optoKummenberg.registers.ControlStage.CurrentFeedThrough, optoKummenberg.registers.ControlStage.Stop, optoKummenberg.registers.ControlStage.OFPID, optoKummenberg.registers.InputConditioning.InputConditioning, optoKummenberg.registers.InputConditioning.InputConditioningFilter, optoKummenberg.registers.InputStage.SPI, optoKummenberg.registers.InputStage.StaticInput, optoKummenberg.registers.InputStage.Analog, optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit, optoKummenberg.registers.InputStage.RasterScan, optoKummenberg.registers.InputStage.FlowerPattern, optoKummenberg.registers.MiscSystems.Manager, optoKummenberg.registers.OutputConditioning.OutputConditioning, optoKummenberg.registers.OutputConditioning.OutputConditioningFilter, optoKummenberg.registers.OutputStage.LinearOutput, optoKummenberg.registers.InputStage.SignalGenerator, optoKummenberg.registers.InputStage.VectorPatternUnit, optoKummenberg.registers.ClassAbstracts.InputStage, and optoKummenberg.registers.ClassAbstracts.ControlStage.

## Member Function Documentation

## ◆ _get_register_list()

optoKummenberg.registers.ClassAbstracts.System._get_register_list | ( |  | self | ) |
| protected

## ◆ get_register()

optoKummenberg.registers.ClassAbstracts.System.get_register | ( |  | self,
|  | str or int | register_name_or_id )

## ◆ get_register_id()

optoKummenberg.registers.ClassAbstracts.System.get_register_id | ( |  | self,
|  | int | register_id )

## ◆ get_register_names()

optoKummenberg.registers.ClassAbstracts.System.get_register_names | ( |  | self | ) |

## ◆ set_register()

optoKummenberg.registers.ClassAbstracts.System.set_register | ( |  | self,
|  | str or int | register_name_or_id,
|  |  | value,
|  | bool | set_internal = False )

## ◆ set_register_id()

optoKummenberg.registers.ClassAbstracts.System.set_register_id | ( |  | self,
|  | int | register_id,
|  |  | value,
|  |  | type = None )

## Member Data Documentation

## ◆ _board

optoKummenberg.registers.ClassAbstracts.System._board
| protected

## ◆ _channel

optoKummenberg.registers.ClassAbstracts.System._channel
| protected

## ◆ _is_a_system [1/2]

bool optoKummenberg.registers.ClassAbstracts.System._is_a_system = False
| static protected

## ◆ _is_a_system [2/2]

optoKummenberg.registers.ClassAbstracts.System._is_a_system
| protected

## ◆ name

optoKummenberg.registers.ClassAbstracts.System.name

## ◆ register_list

optoKummenberg.registers.ClassAbstracts.System.register_list

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/ClassAbstracts.py